<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: tiovx.export_code.ExportCode Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><b>tiovx</b>.<b>export_code</b>.<a class="el" href="classtiovx_1_1export__code_1_1ExportCode.html">ExportCode</a>
  </div>
</div>
<div class="contents">
<h1>tiovx.export_code.ExportCode Class Reference<br/>
<small>
[<a class="el" href="group__FRAMEWORK.html">3: Framework Object APIs</a>]</small>
</h1><!-- doxytag: class="tiovx::export_code::ExportCode" --><!-- doxytag: inherits="Export" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Export objects from context to C source code. </p>
<dl class="user"><dt><b>Example Usage: Export objects from context to C source code</b></dt><dd></dd></dl>
<div class="fragment"><pre class="fragment"> <span class="keyword">from</span> tiovx <span class="keyword">import</span> *

 my_context = Context(<span class="stringliteral">&quot;my_context&quot;</span>)

 ...

 ExportCode(my_context).export()
</pre></div> 
<p><a href="classtiovx_1_1export__code_1_1ExportCode-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1export__code_1_1ExportCode.html#a3dc836a99f8d0ff8c4f5c297464947d4">__init__</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor used to create this object.  <a href="#a3dc836a99f8d0ff8c4f5c297464947d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa16520d33439fe5d56c53141d8ce723"></a><!-- doxytag: member="tiovx::export_code::ExportCode::export" ref="aaa16520d33439fe5d56c53141d8ce723" args="" -->
def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1export__code_1_1ExportCode.html#aaa16520d33439fe5d56c53141d8ce723">export</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Export object as C source code. <br/></td></tr>
</table>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3dc836a99f8d0ff8c4f5c297464947d4"></a><!-- doxytag: member="tiovx::export_code::ExportCode::__init__" ref="a3dc836a99f8d0ff8c4f5c297464947d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def tiovx.export_code.ExportCode.__init__ </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>context</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor used to create this object. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>context</em>&nbsp;</td><td>[in] Context object. <a class="el" href="classtiovx_1_1context_1_1Context.html" title="Context object (OpenVX equivalent = vx_context).">tiovx.context.Context</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
